package com.jw.app.common;

public class PageManager {
	private int pageSize;
	private int pageNo;
	private int totalCount;
	private String order;
	private QueryFilter filters;
	private String pageSumcols;
	private String pageSums;
	private String sumcols;
	private String isNewSum;
	private String sums;
	private String resPojoName;

	public int getPageSize() {
		return pageSize;
	}

	public String getResPojoName() {
		return this.resPojoName;
	}

	public void setResPojoName(String pojo) {
		this.resPojoName = pojo;
	}

	public void setPageSize(int pageSize) {
		this.pageSize = pageSize;
	}

	public int getPageNo() {
		return pageNo;
	}

	public void setPageNo(int pageNo) {
		this.pageNo = pageNo;
	}

	public int getTotalCount() {
		return totalCount;
	}

	public void setTotalCount(int totalCount) {
		this.totalCount = totalCount;
	}

	public String getOrder() {
		return order;
	}

	public void setOrder(String order) {
		this.order = order;
	}

	public QueryFilter getFilters() {
		return filters;
	}

	public void setFilters(QueryFilter filters) {
		this.filters = filters;
	}

	public String getPageSumcols() {
		return pageSumcols;
	}

	public void setPageSumcols(String pageSumcols) {
		this.pageSumcols = pageSumcols;
	}

	public String getPageSums() {
		return pageSums;
	}

	public void setPageSums(String pageSums) {
		this.pageSums = pageSums;
	}

	public String getSumcols() {
		return sumcols;
	}

	public void setSumcols(String sumcols) {
		this.sumcols = sumcols;
	}

	public String getIsNewSum() {
		return isNewSum;
	}

	public void setIsNewSum(String isNewSum) {
		this.isNewSum = isNewSum;
	}

	public String getSums() {
		return sums;
	}

	public void setSums(String sums) {
		this.sums = sums;
	}

}
